# Uses of Interface
org.codehaus.janino.Java.ModuleDirective

Packages that use Java.ModuleDirective
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Java.ModuleDirective in org.codehaus.janino

Classes in org.codehaus.janino that implement Java.ModuleDirective
Modifier and Type
Class
Description
`static final class`
`Java.ExportsModuleDirective`
Representation of a (Java 9+) "exports directive", as explained in JLS9 7.7.2.
`static final class`
`Java.OpensModuleDirective`
Representation of a (Java 9+) "opens directive", as explained in JLS9 7.7.2.
`static final class`
`Java.ProvidesModuleDirective`
Representation of a (Java 9+) "provides directive", as explained in JLS9 7.7.4.
`static final class`
`Java.RequiresModuleDirective`
Representation of a (Java 9+) "requires directive", as explained in JLS9 7.7.1.
`static final class`
`Java.UsesModuleDirective`
Representation of a (Java 9+) "uses directive", as explained in JLS9 7.7.3.
Fields in org.codehaus.janino declared as Java.ModuleDirective
Modifier and Type
Field
Description
`final Java.ModuleDirective[]`
Java.ModuleDeclaration.`moduleDirectives`
The directives declared in this module, see JLS9 7.7.
Constructors in org.codehaus.janino with parameters of type Java.ModuleDirective
Modifier
Constructor
Description
``
`ModuleDeclaration(Location location, Java.Modifier[] modifiers, boolean isOpen, String[] moduleName, Java.ModuleDirective[] moduleDirectives)`